## org.eclipse.emf.mint
Interface IItemJavaElementDescriptor

All Known Implementing Classes:
  ItemJavaElementDescriptor

    public interface IItemJavaElementDescriptor

Interface for describing a particular Java code facet of a given model element. Descriptors applicable to a particular model element are obtained by calling `IItemJavaElementSource.getJavaElementDescriptors(Object)`.

Clients may implement this interface.

Method Summary
`java.lang.String` `getCategory(java.lang.Object object)` Returns an optional category used for grouping descriptors.
`java.lang.String` `getDescription(java.lang.Object object)` Returns an optional description of the Java code facet that this descriptor represents.
`java.lang.String` `getDisplayName(java.lang.Object object)` Returns a display name for the Java element that this descriptor represents for the given model element.
`java.lang.Object` `getFeature(java.lang.Object object)` Returns an optional related feature that this descriptor represents.
`org.eclipse.jdt.core.IJavaElement` `getJavaElement(java.lang.Object object)` Returns a specific Java element for the given model element, which may be `null`.
`IJavaTypeReference` `getJavaTypeReference(java.lang.Object object)` Returns an unresolved Java element reference for the given model element.

Method Detail

### getJavaElement

    org.eclipse.jdt.core.IJavaElement getJavaElement(java.lang.Object object)

  Returns a specific Java element for the given model element, which may be `null`.

  Parameters:
    `object` - model element
  Returns:
    Java element for the given model element, or `null` if none

### getJavaTypeReference

    IJavaTypeReference getJavaTypeReference(java.lang.Object object)

  Returns an unresolved Java element reference for the given model element. Returns `null` if a specific Java element is available.

  Parameters:
    `object` - model element
  Returns:
    Java element reference, or `null` if none

### getCategory

    java.lang.String getCategory(java.lang.Object object)

  Returns an optional category used for grouping descriptors.

  Parameters:
    `object` - model element
  Returns:
    category used for grouping descriptors (may be `null`)

### getDescription

    java.lang.String getDescription(java.lang.Object object)

  Returns an optional description of the Java code facet that this descriptor represents.

  Parameters:
    `object` - model element
  Returns:
    Java element description (i.e., how it relates to the model element)F

### getDisplayName

    java.lang.String getDisplayName(java.lang.Object object)

  Returns a display name for the Java element that this descriptor represents for the given model element.

  Parameters:
    `object` - model element
  Returns:
    Java element's display name (i.e., what it represents for the given model element)

### getFeature

    java.lang.Object getFeature(java.lang.Object object)

  Returns an optional related feature that this descriptor represents.

  Parameters:
    `object` - model element
  Returns:
    feature related to this descriptor (may be `null`)

Copyright 2008 Ecliptical Software Inc. and others. All Rights Reserved.